Payment Plans
curl --request GET \
--url https://staging.debt-wise.com/api/users/{id}/payment_plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.debt-wise.com/api/users/{id}/payment_plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.debt-wise.com/api/users/{id}/payment_plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"total_monthly_contribution": 20000,
"debt_free_date": "2045-01-23",
"strategy": "avalanche",
"extra_amount": 5000,
"upcoming_payments": [
{
"id": 1,
"amount": 10000,
"status": "upcoming",
"type": "priority",
"payment_date": "2026-06-06",
"account_id": 2,
"estimated_balance": 4313500,
"estimated_payoff_date": "2031-06-01"
}
],
"accounts": [
1
]
}{
"error": {
"code": "not_found",
"message": "Requested recourse not found."
}
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Debt Payoff Plan
Payment Plans
Retrieve a user’s payment plan
GET
/
api
/
users
/
{id}
/
payment_plans
Payment Plans
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
We can compress a response with gzip.
Example:
"gzip deflate"
API API Version. See Versioning page for more details.
Example:
"2024-07-01"
Path Parameters
An userId.
Example:
1
Response
Returns a user's payment plan
Payment Plan ID
Example:
1
Total monthly payment by plan in cents
Example:
20000
Date of the last payment
Example:
"2045-01-23"
The payment plan repayment strategy
Available options:
snowball, avalanche Example:
"avalanche"
Extra payment amount in cents
Example:
5000
Upcoming payments for this and next month
Show child attributes
Show child attributes
Array of account IDs
Example:
[1]